IPhysics: SPhysicsPrimitive Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# SPhysicsPrimitive Struct Reference

`#include <SPhysicsStructs.h>`

Inherits SPhysicsAttributes.

List of all members.

## Public Member Functions

| SPhysicsPrimitive ()
| Default constructor.
| SPhysicsPrimitive (ISceneNode *node, ENUMERATED_PRIMITIVE_TYPE primitiveType, vector3df meshScale, vector3df size, f32 height, f32 mass)
| Constructor to create this struct without declaring it.

## Public Attributes

ENUMERATED_PRIMITIVE_TYPE | primitiveType
| Enum to store type of the primitive.
matrix4 | offset
| Offset matrix to the primitive.
vector3df | size
| Size of the primitive (for box, sphere).
f32 | radius
| Radius of the primitive (for cone, capsule, cylinder, chamfer cylinder).
f32 | height
| Set height of the primitive (for cone, capsule, cylinder, chamfer cylinder).

## Detailed Description

Primitive struct. Use this for creating newton primitives.

## Constructor & Destructor Documentation

SPhysicsPrimitive::SPhysicsPrimitive | ( |  | ) | `[inline]`

Default constructor.

SPhysicsPrimitive::SPhysicsPrimitive | ( | ISceneNode * | node,
|  | ENUMERATED_PRIMITIVE_TYPE | primitiveType,
|  | vector3df | meshScale,
|  | vector3df | size,
|  | f32 | height,
|  | f32 | mass |
| ) |  |  | `[inline]`

Constructor to create this struct without declaring it.

## Member Data Documentation

ENUMERATED_PRIMITIVE_TYPE SPhysicsPrimitive::primitiveType

Enum to store type of the primitive.

matrix4 SPhysicsPrimitive::offset

Offset matrix to the primitive.

vector3df SPhysicsPrimitive::size

Size of the primitive (for box, sphere).

f32 SPhysicsPrimitive::radius

Radius of the primitive (for cone, capsule, cylinder, chamfer cylinder).

f32 SPhysicsPrimitive::height

Set height of the primitive (for cone, capsule, cylinder, chamfer cylinder).

The documentation for this struct was generated from the following file:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/SPhysicsStructs.h